#include <bits/stdc++.h>
#define upn(x, init, n) for (int x = init; x <= n; ++x)

/* O(N/X + X^2) per query, where most optimal max_X ≈ cubic_root(N)
	results in O(N^(2/3)) per query */

using namespace std;
int N, M, X, curN, curM, cur;
const int max_X = 40;
int nextt[300001][max_X + 1];
int prevv[300001][max_X + 1];

int main() {
    cin.sync_with_stdio(0); cin.tie(0);
    cin >> N >> M;
    X = min(max_X, N);
    upn(i, 1, N) {
        upn(j, 1, X) {
            nextt[i][j] = i + j;
            if (nextt[i][j] > N) {
                nextt[i][j] -= N;
            }
        }
    }
    upn(i, 1, N) {
        upn(j, 1, X) {
            prevv[i][j] = i - j;
            if (prevv[i][j] < 1) {
                prevv[i][j] += N;
            }
        }
    }

    cur = 1;
    curN = N;
    if (M % curN > 0) {
        curM = M % curN;
    } else {
        curM = curN;
    }
    --curM;

    upn(i, 1, N) {
        while (curM) {
            if (curM > X) {
                cur = nextt[cur][X];
                curM -= X;
            } else {
                cur = nextt[cur][curM];
                curM = 0;
            }
        }
        upn(j, 1, X) {
            upn(k, j, X) {
                nextt[ prevv[cur][j] ][k] = nextt[cur][k - j + 1];
            }
        }
        upn(j, 1, X) {
            upn(k, j, X) {
                prevv[ nextt[cur][j] ][k] = prevv[cur][k - j + 1];
            }
        }
        --curN;
        if (X > curN) {
            --X;
        }
        if (curN > 0 && M % curN > 0) {
            curM = M % curN;
        } else {
			cur = prevv[cur][1];
			curM = 0;
        }
    }
    cout << cur << '\n';
}
